Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class KeyframeMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.KeyframeMS3D

    public class KeyframeMS3D

extends java.lang.Object

A Keyframe is a point in time which defines when a joint will reach a certain rotation or translation. To perform animation, you interpolate the translation or rotation over the time frame.

Version:
  0.1
Author:
  naj

Field Summary
`float` | `time` The time in milliseconds after the start of the animation for which that keyframe occurs.
`float` | `x` For a position keyframe (x,y,z) are the coordinates to translate.
`float` | `y` For a position keyframe (x,y,z) are the coordinates to translate.
`float` | `z` For a position keyframe (x,y,z) are the coordinates to translate.

Constructor Summary
`KeyframeMS3D(float time, float x, float y, float z)` Create a keyframe at a given time and vector.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### time

    public float time

  The time in milliseconds after the start of the animation for which that keyframe occurs.

### x

    public float x

  For a position keyframe (x,y,z) are the coordinates to translate. For a rotation keyframe (x,y,z) are angles, in radians, to rotate.

### y

    public float y

  For a position keyframe (x,y,z) are the coordinates to translate. For a rotation keyframe (x,y,z) are angles, in radians, to rotate.

### z

    public float z

  For a position keyframe (x,y,z) are the coordinates to translate. For a rotation keyframe (x,y,z) are angles, in radians, to rotate.

Constructor Detail

### KeyframeMS3D

    public KeyframeMS3D(float time,
                        float x,
                        float y,
                        float z)

  Create a keyframe at a given time and vector.

  Parameters:
    `time` - the time in milliseconds after the start of the animation for which that keyframe occurs.
    `x` - the x value of the translation or rotation for the keyframe.
    `y` - the y value of the translation or rotation for the keyframe.
    `z` - the z value of the translation or rotation for the keyframe.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD